> For the complete documentation index, see [llms.txt](https://docs.beefree.io/beefree-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.beefree.io/beefree-sdk/~/changes/s6kaGu3uaMgmVVo1sL8X/other-customizations/advanced-options/custom-color-palette.md).

# Custom Color Palette

{% hint style="info" %}
This feature is available on Beefree SDK [paid plans](https://dam.beefree.io/pluginpricing) only.
{% endhint %}

## Color picker palette overview <a href="#color-picker-palette-overview" id="color-picker-palette-overview"></a>

The builder’s color palette gathers a list of the default colors to display from multiple sources in order to create a convenient palette of color selections when the editor loads.

Specifically, colors are gathered as follows:

* 3 colors from the body (message background, content background, link) + black (#000000)
* custom colors (as many as customers want)
* 7 most recently used colors

Use the options outlined below to customize the default color palette.

## Choosing the default colors in the color picker <a href="#choosing-the-default-colors-in-the-color-picker" id="choosing-the-default-colors-in-the-color-picker"></a>

The builder allows you to configure a custom color palette (per user), by modifying the client-side configuration. This, for instance, allows you to provide users with easy access to their company’s brand colors.

If no color profile is provided, then the builder will continue to suggest a color palette based on the colors used in the template that is being loaded.

```javascript

var beeConfig = {
        uid: config.uid,
        defaultColors: ['#ffffff', '#000000', '#95d24f', '#ff00dd'],
        ...        

```

## Disabling the color history <a href="#disabling-the-color-history" id="disabling-the-color-history"></a>

The builder will remember recently selected colors and add them to your color palette.  If the browser’s privacy settings allow it, the color picker history will be saved in the browser’s local storage.

If you want the color palette to be static such that recently selected colors are not included, then you can disable the history in your configuration.

```javascript

var beeConfig = {
        uid: config.uid,
        disableColorHistory: true,
        ...        

```

## Disabling the template's base colors <a href="#disabling-the-templates-base-colors" id="disabling-the-templates-base-colors"></a>

The builder by default adds colors found in the template’s body section to the color palette.

If you want the color palette to only show the colors you pass in via the bee config document, then you must disable the base colors.

```javascript

var beeConfig = {
        uid: config.uid,
        disableBaseColors: true,
        ...        

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.beefree.io/beefree-sdk/~/changes/s6kaGu3uaMgmVVo1sL8X/other-customizations/advanced-options/custom-color-palette.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
